CVE-2018-15857

Priority
Description
An invalid free in ExprAppendMultiKeysymList in xkbcomp/ast-build.c in
xkbcommon before 0.8.1 could be used by local attackers to crash xkbcommon
keymap parsers or possibly have unspecified other impact by supplying a
crafted keymap file.
Notes
 leosilva> code in trusty is quite different.
Package
Upstream:released (0.8.2-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (0.4.1-0ubuntu1.1)
Ubuntu 16.04 LTS (Xenial Xerus):released (0.5.0-1ubuntu2.1)
Ubuntu 18.04 LTS (Bionic Beaver):released (0.8.0-1ubuntu0.1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (0.8.2-1)
Ubuntu 19.04 (Disco Dingo):not-affected (0.8.2-1)
Patches:
Vendor:https://github.com/xkbcommon/libxkbcommon/commit/c1e5ac16e77a21f87bdf3bc4dea61b037a17dddb
More Information

Updated: 2018-11-06 18:14:50 UTC (commit 00bb3cf4242cd150f73a26a280f05434116f7101)